Subject: Re: [PATCH] git-svn: handle leading/trailing whitespace from svnsync revprops

From: Dennis Schridde <[email-masked]>
Date: Sat, 12 Jan 2008 13:34:18 +0100

Am Samstag, 12. Januar 2008 08:13:55 schrieben Sie:
> Repositories generated by svnsync cannot be relied on to have
> properly set revprops without newlines in UUIDs and URLs.  There
> may be broken versions of svnsync out there that append extra
> newlines to UUIDs, or the revprops could've been changed by
> repository administrators at any time, too.
>
> At least one repository we've come across has an embedded
> newline erroneously set in the svnsync-uuid prop.  This is bad
> because the trailing newline is taken as another record by the
> Git.pm library, and the wantarray detection causes tmp_config()
> to return an array with an empty-but-existing second element.
>
> We will now strip leading and trailing whitespace both before
> setting and after reading the uuid and url for svnsync values.
> We will also force tmp_config to return a single scalar when
> reading existing values.
>
> SVN UUIDs should never have whitespace in them, and SVN
> repository URLs should be URI-escaped, so neither of those
> values we ever see in git-svn should actually have whitespace
> in them.
>
> Thanks to Dennis Schridde for the bug report and Junio for
> helping diagnose this.
Thanks! This patch seems to work, at least the "Odd number..." message is 
gone. The segfault with a non-debug perl stays, though. But I guess that is a 
different problem.

--Dennis